'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const CardSubtitle = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` the card text color becomes white.
     */
    this.inverted = false;
    /**
     * If `true` the card text color is bold.
     */
    this.bold = false;
    /**
     * If `true` the card text color becomes white.
     */
    this.color = '';
  }
  render() {
    return (index.h(index.Host, { class: "bal-card-subtitle" }, index.h("bal-text", { bold: this.bold, space: "none", color: this.inverted ? 'white' : this.color }, index.h("slot", null))));
  }
};

exports.bal_card_subtitle = CardSubtitle;
