'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const balDocColorCss = ".sc-bal-doc-color-h p.sc-bal-doc-color{font-family:monospace;text-align:center}";

const BalDocColor = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.inverted = false;
    this.background = false;
    this.color = '';
    this.subject = '';
    this.description = '';
  }
  render() {
    const subject = this.subject !== '' ? this.subject : this.color;
    return (index.h(index.Host, { class: "bal-app" }, index.h("div", { class: "has-radius-large has-shadow" }, index.h("div", { class: `has-background-${this.color} has-radius-top-large is-flex is-justify-content-center is-align-items-center` }, index.h("strong", { class: `${this.inverted ? 'has-text-white' : 'has-text-blue'} has-font-title is-size-3 py-4`, style: { minHeight: '80px' } }, this.background ? 'A-a' : '')), index.h("div", { class: "is-flex is-flex-direction-column is-justify-content-center is-align-items-center p-2" }, index.h("h5", { class: "title is-size-6 m-0" }, subject), index.h("bal-text", { size: "small", style: { textAlign: 'center' } }, this.description)))));
  }
};
BalDocColor.style = balDocColorCss;

exports.bal_doc_color = BalDocColor;
