'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const DocTokensFont = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h(index.Host, null, index.h("bal-doc-app", null, index.h("table", { class: "table tokens", style: { width: '100%' } }, index.h("thead", null, index.h("tr", null, index.h("th", { style: { minWidth: '220px' } }, "Example"), index.h("th", null, "Description"), index.h("th", { style: { minWidth: '220px' } }, "Token"))), index.h("tbody", null, index.h("tr", null, index.h("td", { style: { verticalAlign: 'top' } }, index.h("span", { class: "has-font-title is-bold has-text-color-primary is-size-medium" }, "Bold Headline"), index.h("br", null), index.h("span", { class: "has-font-title has-text-color-primary is-size-medium" }, "Light Headline")), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "is-bold is-size-large mt-0 mb-2" }, "Title ", index.h("span", { class: "is-size-medium" }, "(BaloiseCreateHeadline)")), index.h("p", { class: "m-0 is-size-small" }, "Should only be used for headings and buttons")), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-font-family-title)"))), index.h("tr", null, index.h("td", { style: { verticalAlign: 'top' } }, index.h("span", { class: "has-font-text is-bold has-text-color-primary is-size-medium" }, "Bold Text"), index.h("br", null), index.h("span", { class: "has-font-text has-text-color-primary is-size-medium" }, "Regular Text")), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "is-bold is-size-large mt-0 mb-2" }, "Text ", index.h("span", { class: "is-size-medium" }, "(BaloiseCreateText)")), index.h("p", { class: "m-0 is-size-small" }, "Should only be used for body texts and form controls")), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-font-family-text)"))))))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_doc_tokens_font = DocTokensFont;
