'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const tokens_docs = require('./tokens.docs-470a2f53.js');

const DocTokensBorderRadius = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    const radius = tokens_docs.tokens.radius;
    const sizes = [];
    for (const k in radius) {
      sizes.push({
        name: k,
        value: radius[k],
      });
    }
    return (index.h(index.Host, null, index.h("bal-doc-app", null, index.h("table", { class: "table tokens", style: { width: '100%' } }, index.h("thead", null, index.h("tr", null, index.h("th", { style: { minWidth: '120px' } }, "Example"), index.h("th", null, "Description"), index.h("th", { style: { minWidth: '230px' } }, "Token"), index.h("th", { style: { minWidth: '80px' } }, "Value"))), index.h("tbody", null, sizes.map(c => (index.h("tr", null, index.h("td", { style: { verticalAlign: 'top' } }, index.h("div", { style: { height: '48px', width: '80px' }, class: `has-radius${c.name === 'normal' ? '' : `-${c.name}`} mt-x-small has-background-purple` })), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name), index.h("p", { class: "m-0 is-size-small" }, c.value.description)), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-radius", c.name === 'normal' ? '' : `-${c.name}`, ")")), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "mt-0 mb-2 is-size-small is-bold py-1" }, c.value.value))))))))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_doc_tokens_radius = DocTokensBorderRadius;
