'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const ListItemContent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h(index.Host, { class: {
        'bal-list__item__content': true,
        [`is-justify-content-${this.contentAlignment}`]: this.contentAlignment !== undefined,
      } }, index.h("slot", null)));
  }
};

const ListItemIcon = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` the icon is on the right side of the list item. Default is the left side.
     */
    this.right = false;
  }
  render() {
    return (index.h(index.Host, { class: {
        'bal-list__item__icon': true,
        'bal-list__item__icon--right': this.right,
      } }, index.h("slot", null)));
  }
};

exports.bal_list_item_content = ListItemContent;
exports.bal_list_item_icon = ListItemIcon;
