'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const ModalHeader = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.closeHandler = () => {
      if (this.parentModal) {
        this.parentModal.dismiss(undefined, 'model-close');
      }
    };
  }
  get parentModal() {
    return this.el.closest('bal-modal');
  }
  render() {
    return (index.h(index.Host, { class: "bal-modal__header" }, index.h("div", { class: "bal-modal__header__title" }, index.h("h2", { class: "title is-size-2 m-0" }, index.h("slot", null))), index.h("bal-close", { class: "bal-modal__header__close data-test-modal-close", onClick: this.closeHandler })));
  }
  get el() { return index.getElement(this); }
};

exports.bal_modal_header = ModalHeader;
