'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const NavigationLevelBlockItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.balClick = index.createEvent(this, "balClick", 7);
    this.label = '';
    this.value = `block-value-${navigationLevelBlockItemIds++}`;
    this.link = undefined;
    this.linkLabel = undefined;
    this.target = '_self';
  }
  async getLevelInfo() {
    return {
      type: 'block-item',
      value: this.value,
      label: this.label,
      link: this.link,
      target: this.target,
      onClick: (event) => this.balClick.emit(event),
    };
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
};
let navigationLevelBlockItemIds = 0;

exports.bal_navigation_level_block_item = NavigationLevelBlockItem;
