'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const Sheet = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Defines content width of the stage
     */
    this.containerSize = '';
  }
  render() {
    const block = bem.BEM.block('sheet');
    const container = block.element('container');
    const containerInner = container.element('inner');
    const containerModifier = this.containerSize !== '' ? `is-${this.containerSize}` : '';
    return (index.h(index.Host, { class: Object.assign({}, block.class()) }, index.h("div", { class: Object.assign(Object.assign({}, container.class()), { container: true, [containerModifier]: true }) }, index.h("div", { class: Object.assign({}, containerInner.class()) }, index.h("slot", null)))));
  }
};

exports.bal_sheet = Sheet;
