'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const Table = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` the table has a full width
     */
    this.expanded = false;
  }
  render() {
    const block = bem.BEM.block('table');
    const fullwidthClass = 'is-fullwidth';
    const hasFullwidth = this.expanded;
    return (index.h(index.Host, { class: Object.assign(Object.assign(Object.assign({}, block.class()), { 'ag-theme-alpine': true }), block.modifier(fullwidthClass).class(hasFullwidth)) }, index.h("slot", null)));
  }
  get el() { return index.getElement(this); }
};

exports.bal_table = Table;
