import { Component, h, Host, Prop } from '@stencil/core';
export class TabSliderItem {
  constructor() {
    /**
     * Label of the slide which will be used for pagination tabs
     */
    this.label = '';
    this.inputId = `bal-slider-item-${sliderItemId++}`;
  }
  render() {
    return (h(Host, { "aria-id": this.inputId, class: "bal-slider-item" },
      h("slot", null)));
  }
  static get is() { return "bal-slider-item"; }
  static get properties() { return {
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Label of the slide which will be used for pagination tabs"
      },
      "attribute": "label",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
}
let sliderItemId = 0;
