import { Component, h, Host, Element, Prop } from '@stencil/core';
export class DocBanner {
  constructor() {
    this.subtitle = 'Component';
    this.status = '';
  }
  render() {
    return (h(Host, null,
      h("bal-doc-app", null,
        h("div", { class: "bal-doc-banner__inner pt-7 pb-6 px-6", style: {
            marginTop: '-32px',
            marginLeft: '-32px',
            marginRight: '-32px',
          } },
          h("bal-heading", { space: "none", inverted: true },
            h("slot", null)),
          h("bal-heading", { space: "none", subtitle: true, level: "h4", inverted: true }, this.subtitle),
          h("div", { class: "mt-4", style: { display: this.subtitle === 'Component' ? 'block' : 'none' } },
            h("bal-doc-banner-status", { context: this.status.split(',').map(s => s.trim()) }))))));
  }
  static get is() { return "bal-doc-banner"; }
  static get originalStyleUrls() { return {
    "$": ["bal-doc-banner.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["bal-doc-banner.css"]
  }; }
  static get properties() { return {
    "subtitle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "subtitle",
      "reflect": false,
      "defaultValue": "'Component'"
    },
    "status": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "status",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
  static get elementRef() { return "el"; }
}
