import { config, configFromSession } from './config';
export const defaultConfig = {
  region: 'CH',
  language: 'de',
  allowedLanguages: ['de', 'fr', 'it', 'en'],
};
export const defaultLocale = `${defaultConfig.language}-${defaultConfig.region}`;
export const initialize = (userConfig = {}, win = {}) => {
  if (typeof window === 'undefined') {
    return;
  }
  win = window;
  win.BaloiseDesignSystem = win.BaloiseDesignSystem || {};
  config.reset(Object.assign(Object.assign(Object.assign({}, defaultConfig), configFromSession(win)), userConfig));
  win.BaloiseDesignSystem.config = config;
};
export default initialize;
