import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const ImageSliderItem = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.inputId = `bal-image-slider-item-${imageSliderItemId++}`;
  }
  render() {
    return (h(Host, { "aria-id": this.inputId, class: "bal-image-slider-item" }, this.src !== undefined ? h("img", { src: this.src }) : '', h("slot", null)));
  }
}, [4, "bal-image-slider-item", {
    "src": [1]
  }]);
let imageSliderItemId = 0;
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-image-slider-item"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-image-slider-item":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ImageSliderItem);
      }
      break;
  } });
}

const BalImageSliderItem = ImageSliderItem;
const defineCustomElement = defineCustomElement$1;

export { BalImageSliderItem, defineCustomElement };
