import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const BalNotices$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * @internal The interface tells the notice where to show the notice.
     */
    this.interface = 'toast';
  }
  render() {
    return (h(Host, { class: {
        'bal-app': true,
        'bal-notices': true,
        [`has-${this.interface}`]: true,
      } }, h("slot", null)));
  }
}, [4, "bal-notices", {
    "interface": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-notices"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-notices":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, BalNotices$1);
      }
      break;
  } });
}

const BalNotices = BalNotices$1;
const defineCustomElement = defineCustomElement$1;

export { BalNotices, defineCustomElement };
