import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const TabSliderItem = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Label of the slide which will be used for pagination tabs
     */
    this.label = '';
    this.inputId = `bal-slider-item-${sliderItemId++}`;
  }
  render() {
    return (h(Host, { "aria-id": this.inputId, class: "bal-slider-item" }, h("slot", null)));
  }
}, [4, "bal-slider-item", {
    "label": [1]
  }]);
let sliderItemId = 0;
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-slider-item"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-slider-item":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TabSliderItem);
      }
      break;
  } });
}

const BalSliderItem = TabSliderItem;
const defineCustomElement = defineCustomElement$1;

export { BalSliderItem, defineCustomElement };
