import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const TagGroup = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "bal-tag-group" }, h("slot", null)));
  }
}, [4, "bal-tag-group"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-tag-group"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-tag-group":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TagGroup);
      }
      break;
  } });
}

export { TagGroup as T, defineCustomElement as d };
