import { r as registerInstance, c as createEvent, h, a as Host } from './index-1d35ece0.js';
import { g as globalScript } from './global-1c61486a.js';
import './bal-snackbar.controller-e80a6f45.js';
import './initialize-88364056.js';
import './platform-5ceddd42.js';

const App = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.balAppLoad = createEvent(this, "balAppLoad", 7);
  }
  connectedCallback() {
    globalScript();
  }
  componentDidLoad() {
    this.balAppLoad.emit(true);
  }
  render() {
    return (h(Host, { role: "application", class: "bal-app" }, h("slot", null)));
  }
};

export { App as bal_app };
