import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const DataLabel = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` an asterix is added after the label.
     */
    this.required = false;
  }
  render() {
    return (h(Host, { class: Object.assign({}, BEM.block('data-label').class()) }, h("slot", null), this.required ? '*' : ''));
  }
};

export { DataLabel as bal_data_label };
