import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const BalDocImage = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.src = '';
    this.text = '';
  }
  render() {
    return (h(Host, { class: "bal-app" }, h("p", { style: { textAlign: 'center' } }, h("img", { src: this.src, alt: this.text }))));
  }
};

export { BalDocImage as bal_doc_image };
