import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { t as tokens } from './tokens.docs-9dfbe6f1.js';

const DocTokensBreakpoints = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const breakpoint = tokens.breakpoint;
    const sizes = [];
    for (const k in breakpoint) {
      sizes.push({
        name: k,
        value: breakpoint[k],
      });
    }
    return (h(Host, null, h("bal-doc-app", null, h("table", { class: "table tokens", style: { width: '100%' } }, h("thead", null, h("tr", null, h("th", null, "Description"), h("th", { style: { minWidth: '200px' } }, "Token"), h("th", { style: { minWidth: '100px' } }, "Value"))), h("tbody", null, h("tr", null, h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "is-bold is-size-large mt-0 mb-2" }, "mobile")), h("td", { style: { verticalAlign: 'top' } }), h("td", { style: { verticalAlign: 'top' } }, h("span", { class: `is-bold is-size-small` }, "0px"))), sizes.map(c => (h("tr", null, h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name)), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-", c.name, ")")), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: `is-bold is-size-small py-1` }, c.value))))))))));
  }
  get el() { return getElement(this); }
};

export { DocTokensBreakpoints as bal_doc_tokens_breakpoints };
