import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';

const DocTokensFont = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Host, null, h("bal-doc-app", null, h("table", { class: "table tokens", style: { width: '100%' } }, h("thead", null, h("tr", null, h("th", { style: { minWidth: '220px' } }, "Example"), h("th", null, "Description"), h("th", { style: { minWidth: '220px' } }, "Token"))), h("tbody", null, h("tr", null, h("td", { style: { verticalAlign: 'top' } }, h("span", { class: "has-font-title is-bold has-text-color-primary is-size-medium" }, "Bold Headline"), h("br", null), h("span", { class: "has-font-title has-text-color-primary is-size-medium" }, "Light Headline")), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "is-bold is-size-large mt-0 mb-2" }, "Title ", h("span", { class: "is-size-medium" }, "(BaloiseCreateHeadline)")), h("p", { class: "m-0 is-size-small" }, "Should only be used for headings and buttons")), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-font-family-title)"))), h("tr", null, h("td", { style: { verticalAlign: 'top' } }, h("span", { class: "has-font-text is-bold has-text-color-primary is-size-medium" }, "Bold Text"), h("br", null), h("span", { class: "has-font-text has-text-color-primary is-size-medium" }, "Regular Text")), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "is-bold is-size-large mt-0 mb-2" }, "Text ", h("span", { class: "is-size-medium" }, "(BaloiseCreateText)")), h("p", { class: "m-0 is-size-small" }, "Should only be used for body texts and form controls")), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-font-family-text)"))))))));
  }
  get el() { return getElement(this); }
};

export { DocTokensFont as bal_doc_tokens_font };
