import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const Notification = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Defines the color of the element
     * Color type primary is deprecated, please use info instead.
     */
    this.color = '';
  }
  render() {
    return (h(Host, { class: "bal-notification" }, h("div", { class: `bal-notification__inner p-5 bal-notification__inner--is-${this.color}` }, h("slot", null))));
  }
};

export { Notification as bal_notification };
