const isSafari = /^((?!chrome|android).)*safari/i.test(getUserAgent());
const isTouch = !!('ontouchstart' in window || navigator.msMaxTouchPoints);
const isBrowser = (browser) => {
  if (browser === 'Safari') {
    return isSafari;
  }
  if (browser === 'touch') {
    return isTouch;
  }
  return false;
};
function getUserAgent() {
  var _a;
  if (typeof window !== 'undefined') {
    return (_a = navigator.userAgent) !== null && _a !== void 0 ? _a : '';
  }
  return '';
}

export { isBrowser as i };
