import { ComponentInterface } from '../../stencil-public-runtime';
import { Props } from '../../types';
export declare class Close implements ComponentInterface {
  el: HTMLElement;
  private inheritedAttributes;
  /**
   * Define the size of badge. Small is recommended for tabs.
   */
  size: Props.BalCloseSize;
  /**
   * If `true` it supports dark backgrounds.
   */
  inverted: boolean;
  componentWillLoad(): void;
  render(): any;
}
