import { EventEmitter } from '../../../stencil-public-runtime';
export declare class ListItemAccordionHead {
  el: HTMLElement;
  /**
   * If `true` the list accordion is open
   */
  accordionOpen: boolean;
  /**
   * Icon name string with value 'plus' on default
   */
  icon: string;
  accordionOpenHandler(): void;
  /**
   * Emitted when the accordion state is changed
   */
  balAccordionChange: EventEmitter<boolean>;
  connectedCallback(): void;
  getClosestListItem(): HTMLBalListItemElement | null;
  private onClick;
  render(): any;
}
