import { Props } from '../../types';
export declare class Navbar {
  element: HTMLElement;
  /**
   * It `true` the navbar has a white background. Always use the blue header.
   */
  light: boolean;
  /**
   * Defines the type of navbar. App is used for almost every web applications
   * like the portal app. For our sales funnel we recommend to use the simple navbar.
   * Meta and main are used for the website.
   */
  interface: Props.BalNavbarInterface;
  interfaceHandler(): void;
  /**
   * Sets the content content width with the regular container classes
   */
  container: 'fluid' | 'detail-page' | 'compact' | 'blog-page' | 'wide' | '';
  componentWillLoad(): void;
  private updateProps;
  private notifyComponents;
  render(): any;
}
