import { ComponentInterface, EventEmitter } from '../../../stencil-public-runtime';
import { Events, Props } from '../../../types';
import { LevelInfo } from '../utils/level.utils';
export declare class NavigationLevelBlockItem implements ComponentInterface {
  label: string;
  value: string;
  link?: string;
  linkLabel?: string;
  target: Props.BalButtonTarget;
  balClick: EventEmitter<Events.BalNavigationLevelClickDetail>;
  getLevelInfo(): Promise<LevelInfo>;
  render(): any;
}
