import { ComponentInterface, EventEmitter } from '../../../stencil-public-runtime';
import { LevelInfo } from '../utils/level.utils';
import { Events, Props } from '../../../types';
export declare class NavigationLevelMain implements ComponentInterface {
  el: HTMLElement;
  label: string;
  value: string;
  link?: string;
  linkLabel?: string;
  /**
   * It is 'true' when the meta item is used as a link and not as a tab
   */
  isTabLink?: boolean;
  target: Props.BalButtonTarget;
  balClick: EventEmitter<Events.BalNavigationLevelClickDetail>;
  getLevelInfo(): Promise<LevelInfo>;
  render(): any;
}
