import { Props } from '../../../types';
export declare class NavigationMenuList {
  /**
   * Color of the menu list card background
   */
  color: 'white' | 'grey';
  /**
   * Optional headline of the menu list card
   */
  headline?: string;
  /**
   * Optional href of the menu list card headline as link
   */
  href?: string;
  /**
   * Target of the menu list card headline target as link
   */
  target: Props.BalButtonTarget;
  headingLevel: 'h3' | 'h4';
  resizeHandler(): Promise<void>;
  connectedCallback(): void;
  setHeadingLevel: () => void;
  render(): any;
}
