import { ComponentInterface } from '../../../stencil-public-runtime';
export declare class Form implements ComponentInterface {
  el: HTMLElement;
  /**
   * If `true` a native form element is added as a wrapper of the slot.
   */
  native: boolean;
  /**
   * If `true` it adds the novalidate attribute to the native form element.
   */
  novalidate: boolean;
  /**
   * Scrolls to the first invalid field inside this form component.
   */
  scrollToFirstInvalidField(): Promise<void>;
  render(): any;
}
