import { BalConfigObserver } from '../types';
import { Config } from './config';
import { BalConfigState, BalLanguage, BalRegion } from './config.types';
export * from './initialize';
export * from './config.types';
export * from './config';
export * from './observable/observer';
export declare type BalConfigChangeFn = (config: BalConfigState) => void;
export declare const onBalConfigChange: (callback: BalConfigChangeFn) => void;
export declare const useBalConfig: () => Config | undefined;
export declare const attachToConfig: (observer: BalConfigObserver) => void;
export declare const attachComponentToConfig: (observer: BalConfigObserver) => void;
export declare const detachComponentToConfig: (observer: BalConfigObserver) => void;
export declare const updateBalLanguage: (language: BalLanguage) => void;
export declare const updateBalRegion: (region: BalRegion) => void;
export declare const updateBalAllowedLanguages: (allowedLanguages: BalLanguage[]) => void;
