'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const CardActions = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * @deprecated use position="right"
     * If `true` the buttons start form right to left.
     */
    this.right = false;
    /**
     * The value of the button, which is submitted with the form data.
     */
    this.position = '';
  }
  get buttonGroupPosition() {
    if (this.right) {
      return 'right';
    }
    return this.position;
  }
  render() {
    return (index.h(index.Host, { class: "bal-card-actions" }, index.h("bal-button-group", { class: "m-0", position: this.buttonGroupPosition }, index.h("slot", null))));
  }
};

exports.bal_card_actions = CardActions;
