'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const DataItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * If `true` the item gets a lighter font color.
     */
    this.disabled = false;
    /**
     * If `true` a bottom border is added to the data-item.
     */
    this.border = false;
  }
  render() {
    const element = bem.BEM.block('data-item');
    return (index.h(index.Host, { class: Object.assign(Object.assign(Object.assign({}, element.class()), element.modifier('is-disabled').class(this.disabled)), element.modifier('has-border').class(this.border)) }, index.h("slot", null)));
  }
};

exports.bal_data_item = DataItem;
