'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const tokens_docs = require('./tokens.docs-470a2f53.js');

const DocTokensBreakpoints = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    const breakpoint = tokens_docs.tokens.breakpoint;
    const sizes = [];
    for (const k in breakpoint) {
      sizes.push({
        name: k,
        value: breakpoint[k],
      });
    }
    return (index.h(index.Host, null, index.h("bal-doc-app", null, index.h("table", { class: "table tokens", style: { width: '100%' } }, index.h("thead", null, index.h("tr", null, index.h("th", null, "Description"), index.h("th", { style: { minWidth: '200px' } }, "Token"), index.h("th", { style: { minWidth: '100px' } }, "Value"))), index.h("tbody", null, index.h("tr", null, index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "is-bold is-size-large mt-0 mb-2" }, "mobile")), index.h("td", { style: { verticalAlign: 'top' } }), index.h("td", { style: { verticalAlign: 'top' } }, index.h("span", { class: `is-bold is-size-small` }, "0px"))), sizes.map(c => (index.h("tr", null, index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name)), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-", c.name, ")")), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: `is-bold is-size-small py-1` }, c.value))))))))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_doc_tokens_breakpoints = DocTokensBreakpoints;
