'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const tokens_docs = require('./tokens.docs-470a2f53.js');

const DocTokensFontWeight = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    const typography = tokens_docs.tokens.typography;
    const weights = [];
    for (const k in typography.weights) {
      weights.push({
        name: k,
        value: typography.weights[k],
      });
    }
    return (index.h(index.Host, null, index.h("bal-doc-app", null, index.h("table", { class: "table tokens", style: { width: '100%' } }, index.h("thead", null, index.h("tr", null, index.h("th", { style: { minWidth: '220px' } }, "Example"), index.h("th", null, "Description"), index.h("th", { style: { minWidth: '240px' } }, "Token"))), index.h("tbody", null, weights.map(c => (index.h("tr", null, index.h("td", { style: { verticalAlign: 'top' } }, index.h("span", { class: `is-${c.name} has-font-title` }, "Headline"), index.h("br", null), index.h("span", { class: `is-${c.name} has-font-text` }, "Text")), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name, " ", index.h("span", { class: "is-size-medium" }, "(", c.value, ")")), index.h("p", { class: "m-0 is-size-small" }, c.value.description)), index.h("td", { style: { verticalAlign: 'top' } }, index.h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-weight-", c.name, ")"))))))))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_doc_tokens_font_weight = DocTokensFontWeight;
