'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');

const DocUsageItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.theme = 'do';
  }
  render() {
    const color = this.theme === 'do' ? 'success' : 'danger';
    const icon = this.theme === 'do' ? 'check-circle' : 'alert-circle';
    const title = this.subject ? this.subject : this.theme === 'do' ? 'When to use' : 'When not to use';
    return (index.h(index.Host, { class: "column bal-doc-usage-item" }, index.h("div", { class: {
        'p-4': true,
        'has-radius-large': true,
        [`has-background-${color}-light`]: true,
      } }, index.h("h3", { class: "is-size-4 mt-0 mb-4" }, index.h("bal-icon", { name: icon, inline: true, size: "", color: color, class: "mr-3" }), title), this.image ? (index.h("div", null, index.h("slot", null))) : (index.h("ul", { class: "is-list ml-6" }, index.h("slot", null))))));
  }
  get el() { return index.getElement(this); }
};

exports.bal_doc_usage_item = DocUsageItem;
