'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const FieldHint = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * Text of the inputs label
     */
    this.subject = '';
    /**
     * Text for the close button.
     */
    this.closeLabel = 'Close';
    /**
     * Disables the close button for tablet and desktop
     */
    this.small = false;
  }
  render() {
    const block = bem.BEM.block('field-hint');
    return (index.h(index.Host, { class: Object.assign({}, block.class()) }, index.h("bal-hint", { class: Object.assign({}, block.element('hint').class()), closeLabel: this.closeLabel, small: this.small }, this.subject ? index.h("bal-hint-title", null, this.subject) : '', index.h("bal-hint-text", null, index.h("slot", null)))));
  }
};

exports.bal_field_hint = FieldHint;
