'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const bem = require('./bem-5d122a5c.js');

const NavbarMenuEnd = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * @internal
     * Defines the type of navbar. App is used for almost every web applications
     * like the portal app. For our sales funnel we recommend to use the simple navbar.
     * Meta and main are used for the website.
     */
    this.interface = 'app';
  }
  render() {
    const menuEndEl = bem.BEM.block('navbar').element('menu').element('end');
    return (index.h(index.Host, { class: Object.assign(Object.assign({}, menuEndEl.class()), menuEndEl.modifier(`context-${this.interface}`).class()) }, index.h("slot", null)));
  }
};

exports.bal_navbar_menu_end = NavbarMenuEnd;
