'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a6a78ee3.js');
const level_utils = require('./level.utils-3d220835.js');

const NavigationLevels = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  async getLevelInfos() {
    return await level_utils.readSubLevels(this.el, 'bal-navigation-level-meta');
  }
  render() {
    return (index.h(index.Host, { class: "is-hidden" }, index.h("slot", null)));
  }
  get el() { return index.getElement(this); }
};

exports.bal_navigation_levels = NavigationLevels;
