import { Component, Host, h, Event } from '@stencil/core';
import globalScript from '../../global';
export class App {
  connectedCallback() {
    globalScript();
  }
  componentDidLoad() {
    this.balAppLoad.emit(true);
  }
  render() {
    return (h(Host, { role: "application", class: "bal-app" },
      h("slot", null)));
  }
  static get is() { return "bal-app"; }
  static get events() { return [{
      "method": "balAppLoad",
      "name": "balAppLoad",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      }
    }]; }
}
