import { Component, Host, h, Prop } from '@stencil/core';
export class ListItemContent {
  render() {
    return (h(Host, { class: {
        'bal-list__item__content': true,
        [`is-justify-content-${this.contentAlignment}`]: this.contentAlignment !== undefined,
      } },
      h("slot", null)));
  }
  static get is() { return "bal-list-item-content"; }
  static get properties() { return {
    "contentAlignment": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string | undefined",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "content-alignment",
      "reflect": false
    }
  }; }
}
