import { Component, Host, h, Event } from '@stencil/core';
import globalScript from '../../../global';
export class DocApp {
  connectedCallback() {
    globalScript();
  }
  componentDidLoad() {
    this.balAppLoad.emit(true);
  }
  render() {
    return (h(Host, { role: "application" },
      h("main", { class: "bal-app" },
        h("slot", null))));
  }
  static get is() { return "bal-doc-app"; }
  static get originalStyleUrls() { return {
    "$": ["../../../styles/global.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["../../../styles/global.css"]
  }; }
  static get events() { return [{
      "method": "balAppLoad",
      "name": "balAppLoad",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      }
    }]; }
}
