import { Component, h, Host, Prop } from '@stencil/core';
export class BalDocGithub {
  constructor() {
    this.link = '';
  }
  render() {
    return (h(Host, { class: "bal-app" },
      h("section", { class: "mt-8 pt-4 has-border-top-light" },
        h("p", { class: "mb-3" },
          "If you experience any issues while using a component, please head over to the",
          ' ',
          h("a", { href: "https://design-system-next.vercel.app/?path=/docs/support--page" }, "Support page"),
          " for more guidelines and help."),
        h("p", null, "This page is open source. Noticed a typo? Or something unclear?"),
        h("a", { class: "is-link", target: "_blank", href: 'https://github.com/baloise-incubator/design-system/blob/master/packages/components/src' + this.link }, "Improve this page on GitHub"))));
  }
  static get is() { return "bal-doc-github"; }
  static get properties() { return {
    "link": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "link",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
}
