import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const FormGrid = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "bal-form-grid columns is-multiline my-0 py-0" }, h("slot", null)));
  }
}, [4, "bal-form-grid"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-form-grid"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-form-grid":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, FormGrid);
      }
      break;
  } });
}

const BalFormGrid = FormGrid;
const defineCustomElement = defineCustomElement$1;

export { BalFormGrid, defineCustomElement };
