import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$1 } from './bal-text2.js';

const ListItemSubtitle = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "bal-list__item__subtitle" }, h("bal-text", { size: "small", space: "none" }, h("slot", null))));
  }
}, [4, "bal-list-item-subtitle"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bal-list-item-subtitle", "bal-text"];
  components.forEach(tagName => { switch (tagName) {
    case "bal-list-item-subtitle":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ListItemSubtitle);
      }
      break;
    case "bal-text":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}

export { ListItemSubtitle as L, defineCustomElement as d };
