import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const CardActions = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * @deprecated use position="right"
     * If `true` the buttons start form right to left.
     */
    this.right = false;
    /**
     * The value of the button, which is submitted with the form data.
     */
    this.position = '';
  }
  get buttonGroupPosition() {
    if (this.right) {
      return 'right';
    }
    return this.position;
  }
  render() {
    return (h(Host, { class: "bal-card-actions" }, h("bal-button-group", { class: "m-0", position: this.buttonGroupPosition }, h("slot", null))));
  }
};

export { CardActions as bal_card_actions };
