import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const CardSubtitle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` the card text color becomes white.
     */
    this.inverted = false;
    /**
     * If `true` the card text color is bold.
     */
    this.bold = false;
    /**
     * If `true` the card text color becomes white.
     */
    this.color = '';
  }
  render() {
    return (h(Host, { class: "bal-card-subtitle" }, h("bal-text", { bold: this.bold, space: "none", color: this.inverted ? 'white' : this.color }, h("slot", null))));
  }
};

export { CardSubtitle as bal_card_subtitle };
