import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const CardTitle = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` the card text color becomes white.
     */
    this.inverted = false;
  }
  render() {
    return (h(Host, { class: "bal-card-title" }, h("bal-heading", { level: "h3", space: "none", inverted: this.inverted }, h("slot", null))));
  }
};

export { CardTitle as bal_card_title };
