import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';
import { B as BEM } from './bem-1b28532d.js';

const DataItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * If `true` the item gets a lighter font color.
     */
    this.disabled = false;
    /**
     * If `true` a bottom border is added to the data-item.
     */
    this.border = false;
  }
  render() {
    const element = BEM.block('data-item');
    return (h(Host, { class: Object.assign(Object.assign(Object.assign({}, element.class()), element.modifier('is-disabled').class(this.disabled)), element.modifier('has-border').class(this.border)) }, h("slot", null)));
  }
};

export { DataItem as bal_data_item };
