import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';

const balDocBannerCss = ".bal-doc-banner__inner{background:#000d6e}@media screen and (min-width: 1064px){.bal-doc-banner__inner{border-bottom-left-radius:0.75rem;border-bottom-right-radius:0.75rem}}";

const DocBanner = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.subtitle = 'Component';
    this.status = '';
  }
  render() {
    return (h(Host, null, h("bal-doc-app", null, h("div", { class: "bal-doc-banner__inner pt-7 pb-6 px-6", style: {
        marginTop: '-32px',
        marginLeft: '-32px',
        marginRight: '-32px',
      } }, h("bal-heading", { space: "none", inverted: true }, h("slot", null)), h("bal-heading", { space: "none", subtitle: true, level: "h4", inverted: true }, this.subtitle), h("div", { class: "mt-4", style: { display: this.subtitle === 'Component' ? 'block' : 'none' } }, h("bal-doc-banner-status", { context: this.status.split(',').map(s => s.trim()) }))))));
  }
  get el() { return getElement(this); }
};
DocBanner.style = balDocBannerCss;

export { DocBanner as bal_doc_banner };
