import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';
import { t as tokens } from './tokens.docs-9dfbe6f1.js';

const DocTokensBorderShadow = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const shadow = tokens.shadow;
    const sizes = [];
    for (const k in shadow) {
      sizes.push({
        name: k,
        value: shadow[k],
      });
    }
    return (h(Host, null, h("bal-doc-app", null, h("table", { class: "table tokens", style: { width: '100%' } }, h("thead", null, h("tr", null, h("th", { style: { minWidth: '120px' } }, "Example"), h("th", null, "Description"), h("th", { style: { minWidth: '220px' } }, "Token"), h("th", { style: { minWidth: '230px' } }, "Value"))), h("tbody", null, sizes.map(c => (h("tr", null, h("td", { style: { verticalAlign: 'top' } }, h("div", { style: { height: '48px', width: '80px' }, class: `has-shadow${c.name === 'normal' ? '' : `-${c.name}`} mt-x-small has-background-red-1` })), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "is-bold is-size-large mt-0 mb-2" }, c.name), h("p", { class: "m-0 is-size-small" }, c.value.description)), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "mt-0 mb-2 is-size-small py-1 px-2 has-background-grey-2 has-radius is-bold" }, "var(--bal-shadow", c.name === 'normal' ? '' : `-${c.name}`, ")")), h("td", { style: { verticalAlign: 'top' } }, h("p", { class: "mt-0 mb-2 is-size-small is-bold py-1" }, c.value.value))))))))));
  }
  get el() { return getElement(this); }
};

export { DocTokensBorderShadow as bal_doc_tokens_shadow };
