import { r as registerInstance, h, a as Host, g as getElement } from './index-1d35ece0.js';

const balDocUsageCss = ".bal-doc-usage{position:static;display:block}.bal-doc-usage-item img{background:#ffffff;padding:4px;border-radius:4px}.bal-doc-usage-item>div{height:100%}.bal-doc-usage-item p{display:block;text-align:left;color:#000d6e;font-family:BaloiseCreateText, Arial, sans-serif;font-size:1rem;line-height:1.5rem;font-weight:400;margin-top:8px;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}";

const DocUsage = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h(Host, { class: "bal-doc-usage" }, h("bal-doc-app", null, h("div", { class: "columns" }, h("slot", null)))));
  }
  get el() { return getElement(this); }
};
DocUsage.style = balDocUsageCss;

export { DocUsage as bal_doc_usage };
