import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const ImageSliderItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.inputId = `bal-image-slider-item-${imageSliderItemId++}`;
  }
  render() {
    return (h(Host, { "aria-id": this.inputId, class: "bal-image-slider-item" }, this.src !== undefined ? h("img", { src: this.src }) : '', h("slot", null)));
  }
};
let imageSliderItemId = 0;

export { ImageSliderItem as bal_image_slider_item };
