import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const BalNotices = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * @internal The interface tells the notice where to show the notice.
     */
    this.interface = 'toast';
  }
  render() {
    return (h(Host, { class: {
        'bal-app': true,
        'bal-notices': true,
        [`has-${this.interface}`]: true,
      } }, h("slot", null)));
  }
};

export { BalNotices as bal_notices };
