import { r as registerInstance, h, a as Host } from './index-1d35ece0.js';

const TabSliderItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Label of the slide which will be used for pagination tabs
     */
    this.label = '';
    this.inputId = `bal-slider-item-${sliderItemId++}`;
  }
  render() {
    return (h(Host, { "aria-id": this.inputId, class: "bal-slider-item" }, h("slot", null)));
  }
};
let sliderItemId = 0;

export { TabSliderItem as bal_slider_item };
