import { ComponentInterface } from '../../../stencil-public-runtime';
import { Props } from '../../../types';
export declare class ButtonGroup implements ComponentInterface {
  /**
   * The value of the button, which is submitted with the form data.
   */
  position: Props.BalButtonGroupPosition;
  /**
   * `auto` will position the button items vertical and full width.
   * `row` will force that the buttons are also horizontal on mobile.
   */
  direction: Props.BalButtonGroupDirection;
  /**
   * If `true` the flex direction is used in reverse on mobile.
   */
  reverse: boolean;
  render(): any;
}
