import { EventEmitter } from '../../../stencil-public-runtime';
export declare class DataValue {
  el: HTMLElement;
  /**
   * If `true` a small button with a edit icon will be shown on the right.
   */
  editable: boolean;
  /**
   * If `true` the button will get disabled.
   */
  disabled: boolean;
  /**
   * If `true` the text will break and the height of the item increases.
   */
  multiline: boolean;
  /**
   * Emitted when the edit button has focus.
   */
  balClick: EventEmitter<MouseEvent>;
  /**
   * Emitted when the edit button has focus.
   */
  balFocus: EventEmitter<void>;
  /**
   * Emitted when the edit button loses focus.
   */
  balBlur: EventEmitter<void>;
  onClickHandler(event: MouseEvent): void;
  render(): any;
}
