import { ComponentInterface } from '../../stencil-public-runtime';
export declare class ImageSlider implements ComponentInterface {
  el: HTMLBalImageSliderElement;
  private mutationO?;
  private xPosition;
  slideIndex: number;
  images: HTMLBalImageSliderItemElement[];
  /**
   * value to set the images aspect ratio
   */
  aspectRatio?: '1by1' | '3by2' | '4by3' | '16by9';
  resizeHandler(): Promise<void>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  touchStart(event: TouchEvent): void;
  touchEnd(event: TouchEvent): void;
  private getChildItems;
  private getSliderContainer;
  private getImageContainer;
  private updateImages;
  /**
   * Set the slide to switch to
   * @param {number} slide :Set to switch to.
   */
  private setSlide;
  render(): any;
}
