import { Props } from '../../types';
export declare class List {
  /**
   * If `true` the list item can not be hovered
   */
  disabled: boolean;
  /**
   * @deprecated
   * If `true` the list can be used on a dark background
   */
  inverted: boolean;
  invertedHandler(): void;
  /**
   * If `true` the list can be used on a light, dark or colored backgrounds
   */
  background: Props.BalListBackground;
  /**
   * If `true` each list item has a bottom border
   */
  border: boolean;
  /**
   * Defines the min height of the list item
   */
  size: Props.BalListSize;
  /**
   * If `true` the list can be used as an accordion in meta nav
   */
  inMainNav: boolean;
  render(): any;
}
