import { ComponentInterface } from '../../stencil-public-runtime';
import { Props } from '../../types';
import { AnimationItem } from 'lottie-web/build/player/lottie_light_html';
export declare class Logo implements ComponentInterface {
  el: HTMLElement;
  isTouch: boolean;
  /**
   * Defines the color of the logo.
   */
  color: Props.BalLogoColor;
  /**
   * Defines if the animation should be active
   */
  animated: boolean;
  animationItem: AnimationItem;
  animatedLogoElement: HTMLDivElement;
  componentDidUpdate(): void;
  componentDidLoad(): void;
  resetAnimation(): void;
  disconnectedCallback(): void;
  resizeHandler(): Promise<void>;
  render(): any;
}
