import { Props } from '../../../types';
export declare class NavbarMenu {
  element: HTMLElement;
  isMenuActive: boolean;
  /**
   * @internal
   * Defines the type of navbar. App is used for almost every web applications
   * like the portal app. For our sales funnel we recommend to use the simple navbar.
   * Meta and main are used for the website.
   */
  interface: Props.BalNavbarInterface;
  /**
   * @internal - If the menu is open it closes it and the other way around.
   */
  toggle(isMenuActive: boolean): Promise<void>;
  render(): any;
}
