import { ComponentInterface, EventEmitter } from '../../../stencil-public-runtime';
import { Events, Props } from '../../../types';
import { LevelInfo } from '../utils/level.utils';
export declare class NavigationLevelBlock implements ComponentInterface {
  el: HTMLElement;
  label: string;
  value: string;
  color: 'white' | 'grey';
  link?: string;
  linkLabel?: string;
  target: Props.BalButtonTarget;
  balClick: EventEmitter<Events.BalNavigationLevelClickDetail>;
  getLevelInfo(): Promise<LevelInfo>;
  render(): any;
}
