import { Props } from '../../../props';
export declare const observeLevels: (target: Node, level: string, notify: () => void) => MutationObserver | undefined;
export interface LevelInfo {
  type: 'meta' | 'main' | 'block' | 'block-item';
  value: string;
  label: string;
  isTabLink?: boolean;
  link?: string;
  target?: Props.BalButtonTarget;
  linkLabel?: string;
  color?: 'white' | 'grey';
  subLevels?: LevelInfo[];
  onClick: (event: MouseEvent) => void;
}
export declare const readSubLevels: (element: HTMLElement, target: string) => Promise<LevelInfo[]>;
