import { ComponentInterface } from '../../stencil-public-runtime';
export declare class ProductSlider implements ComponentInterface {
  el: HTMLBalProductSliderElement;
  private mutationO?;
  private mutationTabO?;
  private productWidth;
  private steps;
  private xPosition;
  items: HTMLBalProductSliderItemElement[];
  slideIndex: number;
  lastSlide: number;
  sliderLength: number;
  resizeHandler(): Promise<void>;
  touchStart(event: TouchEvent): void;
  touchEnd(event: TouchEvent): void;
  connectedCallback(): void;
  disconnectedCallback(): void;
  private getChildItems;
  private getProductContainer;
  private updateItems;
  /**
   * Set the slide to switch to
   * @param {number} slide :Set to switch to.
   */
  private setSlide;
  private getParentWidth;
  private getOffsetWidth;
  private calculateLastSlide;
  render(): any;
}
