import { ComponentInterface } from '../../stencil-public-runtime';
import { Props } from '../../types';
export declare class Shape implements ComponentInterface {
  el: HTMLElement;
  /**
   * The shape variation
   */
  variation: Props.BalShapeVariation;
  /**
   * The shape color
   */
  color: Props.BalShapeColor;
  /**
   * The shape rotation
   */
  rotation?: Props.BalShapeRotation;
  getHex: () => string;
  render(): any;
}
