import { ComponentInterface } from '../../stencil-public-runtime';
export declare class Slider implements ComponentInterface {
  el: HTMLBalSliderElement;
  private mutationO?;
  private xPosition;
  slideIndex: number;
  slides: HTMLBalSliderItemElement[];
  slidesLabels: string[];
  resizeHandler(): Promise<void>;
  connectedCallback(): void;
  disconnectedCallback(): void;
  touchStart(event: TouchEvent): void;
  touchEnd(event: TouchEvent): void;
  private getChildItems;
  private getSliderContainer;
  private getSlideContainer;
  private updateSlides;
  /**
   * Set the slide to switch to
   * @param {number} slide :Set to switch to.
   */
  private setSlide;
  render(): any;
}
