import type { AnimationItem } from 'lottie-web/build/player/lottie_light_html';
export declare class Spinner {
  el: HTMLElement;
  /**
   * If `true` the component can be used on dark background
   */
  inverted: boolean;
  /**
   * Defines the color of the spinner.
   */
  color: 'blue' | 'white';
  /**
   * If `true` the component is smaller
   */
  small: boolean;
  animation: AnimationItem;
  componentDidUpdate(): void;
  componentDidLoad(): void;
  getColor(): string;
  resetAnimation(): void;
  disconnectedCallback(): void;
  render(): any;
}
