import { ComponentInterface } from '../../../stencil-public-runtime';
export declare class StageBackLink implements ComponentInterface {
  el: HTMLElement;
  /**
   * Specifies the URL of the page the link goes to
   */
  href: string;
  /**
   * If `true` adds a text shadow to improve readability on image background
   * */
  shadow: boolean;
  /**
   * If `true` the color gets inverted for dark backgrounds
   */
  inverted: boolean;
  render(): any;
}
