export declare class FieldControl {
  /**
   * Baloise icon for the right side of the input
   */
  iconRight: string;
  /**
   * Baloise icon for the left side of the input
   */
  iconLeft: string;
  /**
   * If `true` on mobile devices the form control children are aligned verticaly and expanded to the full width
   */
  expandedOnMobile?: boolean;
  /**
   * If `true` a loading spinner is visible at the end of the input
   */
  loading: boolean;
  get buildIconLeftTemplate(): any;
  get buildIconRightTemplate(): any;
  render(): any;
}
