import { ComponentInterface } from '../../../stencil-public-runtime';
export declare class InputGroup implements ComponentInterface {
  el: HTMLElement;
  /**
   * If `true` the component gets a invalid style.
   */
  invalid: boolean;
  /**
   * If `true`, the element is not mutable, focusable, or even submitted with the form. The user can neither edit nor focus on the control, nor its form control descendants.
   */
  disabled: boolean;
  /**
   * If `true` the element can not mutated, meaning the user can not edit the control.
   */
  readonly: boolean;
  render(): any;
}
