import { ComponentInterface } from '../../../../stencil-public-runtime';
export declare class SelectOption implements ComponentInterface {
  /**
   * Label will be shown in the input element when it got selected
   */
  label?: string;
  /**
   * If `true`, the user cannot interact with the option.
   */
  disabled: boolean;
  /**
   * The value of the select option. This value will be returned by the parent `<bal-select>` element.
   */
  value?: string;
  /**
   * @internal
   * ID of the option.
   */
  for: string;
  render(): any;
}
