export declare type BalRegion = 'CH' | 'DE' | 'BE' | 'LU';
export declare type BalSwissLanguage = 'de' | 'fr' | 'it' | 'en';
export declare type BalLuxembourgLanguage = 'fr' | 'de' | 'en';
export declare type BalBelgiumLanguage = 'fr' | 'nl';
export declare type BalGermanLanguage = 'de';
export declare type BalLanguage = BalSwissLanguage | BalLuxembourgLanguage | BalBelgiumLanguage | BalGermanLanguage;
export interface BalConfig {
  region?: BalRegion;
  language?: BalLanguage;
  allowedLanguages?: BalLanguage[];
}
export interface BalConfigState {
  region: BalRegion;
  language: BalLanguage;
  allowedLanguages: BalLanguage[];
}
